Package org.gradle.api.component

# Interface BuildableComponent

All Superinterfaces:
  `Named`, `SoftwareComponent`

All Known Subinterfaces:
  `CppBinary`, `CppExecutable`, `CppSharedLibrary`, `CppStaticLibrary`, `CppTestExecutable`

public interface BuildableComponent extends SoftwareComponent
Represents a component that can be built.

Since:
  4.7

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Named

  `getName`